Subject: Re: bug#65602: 30.0.50; eshell-test/{elisp,subcommand}-reset-in-pipeline fails intermittently on macOS

From: Jim Porter <[email-masked]>
Date: Mon, 18 Sep 2023 10:30:24 -0700

On 9/15/2023 5:14 AM, Stefan Kangas wrote:
> After several reruns, I was able to reproduce some additional failures,
> but they are getting harder to reproduce.  I just switched to using a
> native-comp build, and I'm not sure if that will affect the result.

That's good. At least we're making progress.

While testing out some other in-progress patches, I managed to change 
the timings of things locally by enough that I could reliably trigger 
some similar failures. I've pushed my fix to master as 146bd41ddef.

Hopefully these are the same that you're seeing, but I'm not 100% 
certain. (I've also recently pushed a couple of fixes to the debug 
instrumentation - I had broken the "form" instrumentation - but I think 
all the issues we're seeing are related to process timings anyway.)